class AuthorsController < ApplicationController
  before_action :ensure_admin
  before_action :set_author, only: [:edit, :update]

  def index
    @authors = Author.all
  end

  def edit
    @author = Author.find(params[:id])
  end

  def update
    if @author.update(author_params)
      redirect_to '/authors'
    end
  end

  private

  def set_author
    @author = Author.find(params[:id])
  end

  def author_params
    params.require(:author).permit(:first_name, :last_name)
  end
end
